Jump to content

None of my acars tools are working


Recommended Posts

I am having errors with all acars tools that have been working before perfect.
kacars free and Kacarsi are the two most used.

And I have the issue about year and cannot find a solution.

Kacars Free and the paid version of this give me a Connection error.

And the paid version I receive an connection closed.

 

For reference I have been using ccftracker. And I receive nearly the same error message. Login error - The connection to the VA site has timed out!

 

Is that because something has changed either in Windows (previously using win 7) or on the host part? It is on shared hosting/

 

Ofcourse I run all as admin.
Host is on PHP Version 7.4.10.

 

Thanks ahead,

 

Rob B.

Edited by aarbee
Link to post
Share on other sites
  • Administrators

phpVMS version?

MySQL/MariaDB version?

 

I see you are on PHP version 7.4 - phpVMS 5.5.2 and prior will not run correctly on PHP versions 7.3 and higher. Check with your host to see if you can change to another PHP version. If using phpVMS 5.5.2 you will need PHP 5.6. If using phpVMS 5.5.2.72 you will need PHP 7.0-7.2

 

Answer the two questions above and we can advise further.

 

Link to post
Share on other sites

Thank you for your answer.
I was allready affraid, it was something like that.

mysqlnd 7.4.10

PHPVMS 5.5

 

I will see if I can return to 7.2. Sometimes it is possible to return to an older PHP version, but not if it is older then half a year.
The rest of the site runs fine. As I had that the code updated by CrazyCreatives.

I will ask the host and put their answer here as well.

 

RobB

Edited by aarbee
Link to post
Share on other sites
  • Administrators

It is best to run kACARS (any version, payware or freeware) as admin. Also consider running the sim as admin.

 

Is the lowest PHP your host allows 7.2 or can you go to 5.6? 5.6 shouldn't require any major changes to your present site. Going to 7.2 (and needing phpVMS 5.5.2.72) will require some changes to your modules as well. And if you can only use PHP 7.2 for 3 more months, just isn't worth the hassle. Either find a new host who will support PHP 5.6 or 7.2 for several more years or consider updating to phpVMS v7. While v7 is technically still in beta, it works quite well. There is only one ACARS that presently works with it though.

Link to post
Share on other sites

Thank you all for thinking with me, for a solution.

 

We had an internal discussion in the VA, about what to do next.
One of the options is to upgrade to PHPVMS 7.

And I did read some forum post about it.
The question is, can I migrate everything that is by default in PHPVMS 5.5 to 7.x?

And what about all the extra modules, that we had bought?

 

RobB

Link to post
Share on other sites
  • Administrators

If any ACARS you try is having issues, it isn't the ACARS program - it's something with your site.

 

Is error reporting on?

Any errors listed in error_log file?

Any errors show in the donsole?

 

If you move to phpVMS v7, you can convert your present DB - but some items will not move over from your old DB as there are no equivalents in the v7 DB. And extra modules you purchased will not work. It is best to install v7 on its own development site, do the conversion of the DB and see what works.

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
×
×
  • Create New...